{% extends 'base.html.twig' %}

{% block title %}Detalle{% endblock %}
{% block stylesheets %}
    <link rel="stylesheet" href="../assets/main.css">
{% endblock %}
{% block body %}
    <style>
        .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
        .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
    </style>

    <div class="example-wrapper">
        <h2>Detalles Libro</h2>
        <table class="detalle">
             <tr>
                <td>Título:</td>
                <td>{{libro.titulo}}</td>
                <td rowspan="10">
                    <a href="{{path('libro_edit',{'id':libro.idLibro})}}" class="boton edit">Editar</a><a href="" class="boton delete">Borrar</a>
                </td>
            </tr>
            <tr>
                <td>Id Libro:</td>
                <td>{{libro.idLibro}}</td>
            </tr>
            <tr>
                <td>Año Publicación:</td>
                <td>{{libro.anio}}</td>
            </tr>
            <tr>
                <td>ISBN:</td>
                <td>{{libro.isbn}}</td>
            </tr>
             <tr>
                <td>¿Leído?:</td>
                <td>{% if libro.leido==true  %}
                        Sí
                    {% else %}
                        NO
                    {% endif%}
                </td>
            </tr>
             <tr>
                <td>Descripción:</td>
                <td>{% if libro.descripcion is empty%}
                        Descripcción no disponible   
                    {% else %}
                        <h6>{{libro.descripcion}}</h6>
                    {% endif%}
                </td>
            </tr>
             <tr>
                <td>Editorial:</td>
                <td>
                    {{libro.idEditorial.editorial}}
                </td>
            </tr>
            <tr>
                <td>Colección:</td>
                <td>
                    {% if libro.idColeccion is empty%}
                        No tiene
                    {% else %}
                        {{libro.idColeccion.coleccion}}
                    {% endif%}
                  
                </td>
            </tr>
            <tr>
                <td>Autor/es:</td>
                <td>{% for autor in libro.idAutor %}
                    {{autor.autor~" ("~autor.nacionalidad~")"}} <br>
                    {% endfor %}
                </td>
            </tr>
            <tr>
                <td>Temática/s:</td>
                <td>{% for tema in libro.idTematica %}
                    {{tema.tematica}}{%if not loop.last %},{%endif%}
                    {% endfor %}
                </td>
            </tr>
             <tr>
                <td>Portada:</td>
                <td style="text-align: center">
                    <img src="data:image/jpg;base64,{{foto}}" alt="" width="50%">
                </td>
            </tr>
        </table>
    </div>
{% endblock %}
